"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LocationHooks = LocationHooks;

function _react() {
  const data = require("react");

  _react = function () {
    return data;
  };

  return data;
}

function _reactRouterDom() {
  const data = require("react-router-dom");

  _reactRouterDom = function () {
    return data;
  };

  return data;
}

function LocationHooks({
  onLocationChange,
  onNavigatorChange
}) {
  const location = (0, _reactRouterDom().useLocation)();
  const navAction = (0, _reactRouterDom().useNavigationType)(); // the action that got react router to this location

  const navigate = (0, _reactRouterDom().useNavigate)();
  (0, _react().useEffect)(() => {
    onLocationChange(location, navAction);
  }, [location, navAction, onLocationChange]);
  (0, _react().useEffect)(() => {
    onNavigatorChange(navigate);
  }, [navigate, onNavigatorChange]);
  return null;
}

//# sourceMappingURL=LocationHooks.js.map